Method: simulateRedirectAuthentication

Simulates a redirect authentication for testing purposes.

If the endpoint encounters an error while processing the request, the response body from this endpoint should be of type ErrorResponse.

An example request looks like:


{
  "requestHeader": {
    "protocolVersion": {
      "major": 1,
      "minor": 0,
      "revision": 0
    },
    "requestId": "G664529173",
    "requestTimestamp": "1481907920000"
  },
  "requestId": "1591303-231233235-151J",
  "simulatedAuthenticationResult": {
    "success": {}
  }
}

An example response looks like:


{
  "requestId": "1591303-231233235-151J",
  "authenticationResult": {
    "success": {}
  }
}

HTTP request

POST https://www.integratorhost.example.com/integrator-base-path/e-wallets-v1/simulateRedirectAuthentication

Request body

The request body contains data with the following structure:

JSON representation
{
  "requestHeader": {
    object (RequestHeader)
  },
  "requestId": string,
  "associationId": string,
  "simulatedAuthenticationResult": {
    object (AuthenticationResult)
  }
}
Fields
requestHeader

object (RequestHeader)

REQUIRED: Common header for all requests.

requestId

string

REQUIRED: Identifier for this request.

associationId

string

OPTIONAL: The ID that represents the association between a customer's Google Account and a customer's account with the vendor. If this authentication flow is being used to re-authenticate a user that has already gone through an Association flow, this field identifies the specific account with the vendor that the user must authenticate. This allows to ensure that the user does not (e.g.) accidentally authenticate using some other account. If this field is provided, the Payment Integrator must ensure that that the account being authenticated is tied to this associationId, and otherwise must return a failure.

simulatedAuthenticationResult

object (AuthenticationResult)

The authentication result to simulate.

Response body

The Response object for the e-wallets-v1.simulateRedirectAuthentication method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "requestId": string,
  "associationId": string,
  "authenticationResult": {
    object (AuthenticationResult)
  }
}
Fields
requestId

string

REQUIRED: Reflected back by the payment integrator to Google. This allows Google to prevent replay attacks.

associationId

string

OPTIONAL: Reflected back by the payment integrator to Google. This allows Google to check that the associationId passed back is the same associationId passed in. This is required if it is present on the request.

authenticationResult

object (AuthenticationResult)

REQUIRED: Reflected back by the payment integrator to Google.

AuthenticationResult

The result of the simulated authentication.

JSON representation
{

  // Union field result can be only one of the following:
  "success": {
    object (Empty)
  },
  "cancelled": {
    object (Empty)
  },
  "fatalError": {
    object (Empty)
  }
  // End of list of possible types for union field result.
}
Fields
Union field result. REQUIRED: The result of the simulated authentication. result can be only one of the following:
success

object (Empty)

Authentication was successful.

cancelled

object (Empty)

User canceled the flow manually and the flow should be aborted.

fatalError

object (Empty)

Authentication failed for a fatal reason and the flow should be aborted.